[Yum-devel] devel/2.5.0 goals/targets

Greg Knaddison greg.knaddison at gmail.com
Fri Aug 26 13:59:00 UTC 2005


On 8/26/05, Jeremy Katz <katzj at redhat.com> wrote:
> It probably makes sense to look at using the python logging package for
> this.  Although it's only available by default in python 2.3 and later
> (iirc), it's also available as a stand-alone package to use withe arlier
> versions of python.

This raises a question that wasn't addressed in the beginning.  My
guess is that yum 2.5/2.6 is targeted for FC5, FC6, and RHEL5 but that
it's also a goal to have it work on RHEL4 (python-2.3.4) and possibly
RHEL3 (python-2.2.3).  Is that correct?  That sets a timeline for FC5
and sets compatability with certain versions of python.

And yes, logging was Python 2.3: http://www.python.org/2.3/highlights.html

Greg



More information about the Yum-devel mailing list